/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Productos;
import com.cosmodas.EntCosmos.ProductosZonasTotal;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ProductosZonasTotalFacadeLocal {

    void create(ProductosZonasTotal productosZonasTotal);

    void edit(ProductosZonasTotal productosZonasTotal);

    void remove(ProductosZonasTotal productosZonasTotal);

    ProductosZonasTotal find(Object id);

    List<ProductosZonasTotal> findAll();

    List<ProductosZonasTotal> findRange(int[] range);

    int count();

    List<ProductosZonasTotal> busquedaSucursalYCodigo(String sucursalCodigo, Productos productoCodigo);

    List<ProductosZonasTotal> productosPorSucursal(String sucursalCodigo);
}
